Opened 5 years ago

Last modified 4 years ago

#23353 closed enhancement

Upgrade to gfan 0.6 — at Version 5

Reported by: rws Owned by:
Priority: major Milestone: sage-8.3
Component: packages: standard Keywords:
Cc: dimpase, fbissey Merged in:
Authors: rws Reviewers:
Report Upstream: N/A Work issues:
Branch: u/rws/upgrade_to_gfan_0_6 Commit: f697b575faf6818a16bf124e94c6e3d9a0a12201
Dependencies: Stopgaps:

Status badges

Description (last modified by rws)

gfan 0.6 standalone builds nearly out of the box with clang-check, it is compiled with -std=c++0x, meaning no adaptations are necessary for C++11.

Tarball bzipped and renamed (use this):

Note also that there are two versions of the package gfanlib (0.6 and 0.6.2) with changes in 0.6.2 that could be applied equivalently to files in gfan0.6. However, the file names are different!---the prefix gfanlib_ is replaced by app_.

Change History (5)

comment:1 Changed 5 years ago by rws

  • Description modified (diff)

comment:2 Changed 5 years ago by rws

  • Authors set to rws

comment:3 Changed 5 years ago by rws

  • Description modified (diff)

comment:4 Changed 5 years ago by rws

  • Branch set to u/rws/upgrade_to_gfan_0_6

comment:5 Changed 5 years ago by rws

  • Commit set to f697b575faf6818a16bf124e94c6e3d9a0a12201
  • Description modified (diff)

This compiles cleanly with std=c++11 but fails at least sage -t --warn-long 42.1 src/sage/rings/polynomial/groebner_fan.py # 9 doctests failed


New commits:

56e23eb23353: chksum/pkg version
f697b5723353: fix spkg-install, Makefile-patch
Note: See TracTickets for help on using tickets.